#ifndef __S2_YAMAHA_DME_PARAMETER_H__
#define __S2_YAMAHA_DME_PARAMETER_H__




/*
* Constructor and Destructor
*/

/*
* DIGITAL_INPUT
*/
#define __S2_Yamaha_DME_parameter_UP_DIG_INPUT 0
#define __S2_Yamaha_DME_parameter_DOWN_DIG_INPUT 1
#define __S2_Yamaha_DME_parameter_ON_MAXIMUM_DIG_INPUT 2
#define __S2_Yamaha_DME_parameter_OFF_MINIMUM_DIG_INPUT 3
#define __S2_Yamaha_DME_parameter_POLL_DIG_INPUT 4


/*
* ANALOG_INPUT
*/
#define __S2_Yamaha_DME_parameter_MAXIMUM_ANALOG_INPUT 0
#define __S2_Yamaha_DME_parameter_MINIMUM_ANALOG_INPUT 1
#define __S2_Yamaha_DME_parameter_STEP_SIZE_ANALOG_INPUT 2
#define __S2_Yamaha_DME_parameter_SET_SLIDER_ANALOG_INPUT 3
#define __S2_Yamaha_DME_parameter_SET_VALUE_ANALOG_INPUT 4
#define __S2_Yamaha_DME_parameter_INDEX_ANALOG_INPUT 5


#define __S2_Yamaha_DME_parameter_RX$_BUFFER_INPUT 6
#define __S2_Yamaha_DME_parameter_RX$_BUFFER_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_DME_parameter, __RX$, __S2_Yamaha_DME_parameter_RX$_BUFFER_MAX_LEN );


/*
* DIGITAL_OUTPUT
*/
#define __S2_Yamaha_DME_parameter_POLL_DONE_DIG_OUTPUT 0
#define __S2_Yamaha_DME_parameter_MAXIMUM_FB_DIG_OUTPUT 1
#define __S2_Yamaha_DME_parameter_MINIMUM_FB_DIG_OUTPUT 2


/*
* ANALOG_OUTPUT
*/
#define __S2_Yamaha_DME_parameter_BARGRAPH_FB_ANALOG_OUTPUT 0
#define __S2_Yamaha_DME_parameter_VALUE_FB_ANALOG_OUTPUT 1

#define __S2_Yamaha_DME_parameter_TX$_STRING_OUTPUT 2


/*
* Direct Socket Variables
*/




/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* INTEGER_PARAMETER
*/
/*
* SIGNED_INTEGER_PARAMETER
*/
/*
* LONG_INTEGER_PARAMETER
*/
/*
* SIGNED_LONG_INTEGER_PARAMETER
*/
/*
* STRING_PARAMETER
*/


/*
* INTEGER
*/


/*
* LONG_INTEGER
*/


/*
* SIGNED_INTEGER
*/


/*
* SIGNED_LONG_INTEGER
*/


/*
* STRING
*/
#define __S2_Yamaha_DME_parameter_TEMP$_STRING_MAX_LEN 2000
CREATE_STRING_STRUCT( S2_Yamaha_DME_parameter, __TEMP$, __S2_Yamaha_DME_parameter_TEMP$_STRING_MAX_LEN );

/*
* STRUCTURE
*/

START_GLOBAL_VAR_STRUCT( S2_Yamaha_DME_parameter )
{
   void* InstancePtr;
   struct GenericOutputString_s sGenericOutStr;
   unsigned short LastModifiedArrayIndex;

   unsigned short __BUSY;
   unsigned short __PARAMETER;
   unsigned short __STEPSIZE;
   unsigned short __MARKER1;
   unsigned short __WAITING_POLL;
   unsigned short __VALUE;
   short __LIMIT_MAX;
   short __LIMIT_MIN;
   DECLARE_STRING_STRUCT( S2_Yamaha_DME_parameter, __TEMP$ );
   DECLARE_STRING_STRUCT( S2_Yamaha_DME_parameter, __RX$ );
};

START_NVRAM_VAR_STRUCT( S2_Yamaha_DME_parameter )
{
};



#endif //__S2_YAMAHA_DME_PARAMETER_H__

